<?php
/**
* トランスフォーマを定義するインタフェース
*
* PHP version 5
*
* @package    interfaces
* @author     stk2k <stk2k@sazysoft.com>
* @copyright  2008 stk2k, sazysoft
*/
interface charcoal_ITransformer
{
	/**
	 * トランスフォーマ名
	 */
	public function getTransformerName();

	/**
	 * トランスフォーマを初期化する
	 */
	public function init( charcoal_Config $config );

	/**
	 * 変換する
	 */
	public function transform( charcoal_DTO $in_data, charcoal_IModel $in_model, charcoal_DTO $out_data, charcoal_IModel $out_model );

}
